summaryrefslogtreecommitdiffstats
path: root/PCBSD
diff options
context:
space:
mode:
Diffstat (limited to 'PCBSD')
-rw-r--r--PCBSD/pc-sysinstall/backend/functions-extractimage.sh7
-rw-r--r--PCBSD/pc-sysinstall/changes.txt3
2 files changed, 9 insertions, 1 deletions
diff --git a/PCBSD/pc-sysinstall/backend/functions-extractimage.sh b/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
index 394cfad..e07d6cd 100644
--- a/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
+++ b/PCBSD/pc-sysinstall/backend/functions-extractimage.sh
@@ -28,6 +28,13 @@ start_extract_uzip_tar()
echo_log "pc-sysinstall: Starting Extraction"
case ${PACKAGETYPE} in
+ cpdup)
+ cpdup -vvv -I -o ${INSFILE} ${FSMNT} >&1 2>&1
+ if [ "$?" != "0" ]
+ echo "CPDUP failure occured:" >>${LOGOUT}
+ exit_err "ERROR: Error occured during cpdup"
+ fi
+ ;;
uzip) # Start by mounting the uzip image
MDDEVICE=`mdconfig -a -t vnode -o readonly -f ${INSFILE}`
mkdir -p ${FSMNT}.uzip
diff --git a/PCBSD/pc-sysinstall/changes.txt b/PCBSD/pc-sysinstall/changes.txt
index 2fcca4a..c5d2956 100644
--- a/PCBSD/pc-sysinstall/changes.txt
+++ b/PCBSD/pc-sysinstall/changes.txt
@@ -2,4 +2,5 @@ PCBSD -> pfSense changes
1. Modified test-live to use mount | grep "/dev/iso9660/pfSense" >/dev/null 2>/dev/null
2. Removed desktop specific components directory
-3. \ No newline at end of file
+3. Added cpdup option
+4. \ No newline at end of file
OpenPOWER on IntegriCloud